Skip to main content
GET
/
api
/
v1
/
teams
/
{teamId}
/
outbound
/
events
List outbound customer events
curl --request GET \
  --url https://enterprise-api.avoca.ai/api/v1/teams/{teamId}/outbound/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "customer_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "customer_phone_number": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "has_more": true,
    "limit": 123
  },
  "meta": {
    "team_id": 123
  }
}

Authorizations

Authorization
string
header
required

API key in the format avoca_<64 hex characters>

Path Parameters

teamId
integer
required

The team ID

Query Parameters

action
enum<string>

Filter to one action

Available options:
outbound_message,
customer_subscribed,
customer_unsubscribed
start_date
string<date-time>

Only rows on/after this ISO 8601 timestamp

end_date
string<date-time>

Only rows before this ISO 8601 timestamp

cursor
string

Opaque pagination cursor from the previous response's pagination.cursor

limit
integer
default:50

Results per page (default 50, max 500)

Required range: x <= 500

Response

Paginated outbound events

data
object[]
pagination
object
meta
object